Files

Get Content Agreement Status

GET
/agreement

Returns the agreement status of the currently authenticated user for the given agreementCode, contentId, and version.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

agreementCode*string

The type of agreement (currently content.copyright.owned)

Default"content.copyright.owned"
Value in"content.copyright.owned"
contentId*string

The id of the content being uploaded, such as a WorldID, AvatarID, or PropID

version*integer

The version of the agreement (currently 1)

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/agreement?agreementCode=content.copyright.owned&contentId=avtr_c38a1615-5bf5-42b4-84eb-a8b6c37cbd11&version=1"
{
  "agreed": false,
  "agreementCode": "content.copyright.owned",
  "contentId": "avtr_c38a1615-5bf5-42b4-84eb-a8b6c37cbd11",
  "userId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "version": 1
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}